Pub/SubUpdate subscription
Pub/Sub

Update subscription

Partially update subscription configuration.

curl -X PATCH "https://api.mythic-analytics.com/api/v1/admin/pubsub/subscriptions/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "push_endpoint": "example_string",
  "ack_deadline_seconds": 42,
  "max_delivery_attempts": 42,
  "filter": {}
}'
{
  "success": true,
  "data": {
    "id": "sub_5kN2mPqR",
    "name": "analytics-events-processor",
    "topic": "analytics.events",
    "status": "active",
    "push_endpoint": "example_string",
    "ack_deadline_seconds": 60,
    "max_delivery_attempts": 5,
    "filter": {},
    "created_at": "2024-04-01T10:00:00.000Z"
  }
}
PATCH
/admin/pubsub/subscriptions/{id}
PATCH
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Subscription identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Subscription identifier.

Responses

successboolean
dataobject